System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

The enumeration specifies the protocol scheme that is used by the class to resolve an address. For example, indicates that the IP version 4 protocol is expected when a connects to an endpoint.

Specifies the type of protocol that an instance of the class can use.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  AppleTalk protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  Native ATM services protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  Banyan protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  CCITT protocol, such as X.25.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  MIT CHAOS protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  Microsoft Cluster products protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  DataKit protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  Direct data link protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  DECNet protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  European Computer Manufacturers Association (ECMA) protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  FireFox protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  NSC HyperChannel protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  IEEE 1284.4 workgroup protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  ARPANET IMP protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  IP version 4 protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  IP version 6 protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  IPX or SPX protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  IrDA protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  ISO protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  LAT protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  MAX protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  NetBIOS protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  Network Designers OSI gateway enabled protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  Xerox NS protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  OSI protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  PUP protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  IBM SNA protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  Unix local to host protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  Unknown protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  Unspecified protocol.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.ProtocolFamily To be added

  VoiceView protocol.